SBtreeStats (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SBtreeStats

- java.lang.Object
- - com.sleepycat.client.SBtreeStats

- All Implemented Interfaces:
    SDatabaseStats

      public class SBtreeStats
      extends java.lang.Object
      implements SDatabaseStats

  The SBtreeStats object is used to return Btree or Recno database statistics.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDupPages()` The number of database duplicate pages.
    `long` | `getDupPagesFree()` The number of bytes free in database duplicate pages.
    `int` | `getEmptyPages()` The number of empty database pages.
    `int` | `getExtFiles()` The number of external files.
    `int` | `getFree()` The number of pages on the free list.
    `int` | `getIntPages()` The number of database internal pages.
    `long` | `getIntPagesFree()` The number of bytes free in database internal pages.
    `int` | `getLeafPages()` The number of database leaf pages.
    `long` | `getLeafPagesFree()` The number of bytes free in database leaf pages.
    `int` | `getLevels()` The number of levels in the database.
    `int` | `getMagic()` The magic number that identifies the file as a Btree database.
    `int` | `getMinKey()` The minimum keys per page.
    `int` | `getNumData()` The number of key/data pairs in the database.
    `int` | `getNumKeys()` The number of keys in the database.
    `int` | `getOverPages()` The number of database overflow pages.
    `long` | `getOverPagesFree()` The number of bytes free in database overflow pages.
    `int` | `getPageCount()` The number of pages in the database.
    `int` | `getPageSize()` The underlying database page size, in bytes.
    `int` | `getReLen()` The length of fixed-length records.
    `int` | `getRePad()` The padding byte value for fixed-length records.
    `int` | `getVersion()` The version of the Btree database.
    `java.lang.String` | `toString()` For convenience, the SBtreeStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDupPages

          public int getDupPages()

      The number of database duplicate pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of database duplicate pages

    - #### getDupPagesFree

          public long getDupPagesFree()

      The number of bytes free in database duplicate pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of bytes free in the database duplciate pages

    - #### getEmptyPages

          public int getEmptyPages()

      The number of empty database pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of empty database pages

    - #### getFree

          public int getFree()

      The number of pages on the free list.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of pages on the free list

    - #### getIntPages

          public int getIntPages()

      The number of database internal pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of database internal pages

    - #### getIntPagesFree

          public long getIntPagesFree()

      The number of bytes free in database internal pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of bytes free in database internal pages

    - #### getLeafPages

          public int getLeafPages()

      The number of database leaf pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of database leaf pages

    - #### getLeafPagesFree

          public long getLeafPagesFree()

      The number of bytes free in database leaf pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of bytes free in database leaf pages

    - #### getLevels

          public int getLevels()

      The number of levels in the database.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of levels in the database

    - #### getMagic

          public int getMagic()

      The magic number that identifies the file as a Btree database.
      Returns:
        the magic number that identifies the file as a Btree database

    - #### getMinKey

          public int getMinKey()

      The minimum keys per page.
      Returns:
        the minimum keys per page

    - #### getExtFiles

          public int getExtFiles()

      The number of external files.
      Returns:
        the number of external files

    - #### getNumData

          public int getNumData()

      The number of key/data pairs in the database.

      For the Btree Access Method, the number of key/data pairs in the database. If the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method, the count will be exact. Otherwise, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

      Returns:
        the number of key/data pairs in the database

    - #### getNumKeys

          public int getNumKeys()

      The number of keys in the database.

      For the Btree Access Method, the number of keys in the database. If the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method or the database was configured to support retrieval by record number, the count will be exact. Otherwise, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

      Returns:
        the number of keys in the database

    - #### getOverPages

          public int getOverPages()

      The number of database overflow pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of database overflow pages

    - #### getOverPagesFree

          public long getOverPagesFree()

      The number of bytes free in database overflow pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of bytes free in database overflow pages

    - #### getPageCount

          public int getPageCount()

      The number of pages in the database.
      Returns:
        the number of pages in the database

    - #### getPageSize

          public int getPageSize()

      The underlying database page size, in bytes.
      Returns:
        the underlying database page size, in bytes

    - #### getReLen

          public int getReLen()

      The length of fixed-length records.
      Returns:
        the length of fixed-length records

    - #### getRePad

          public int getRePad()

      The padding byte value for fixed-length records.
      Returns:
        the padding byte value for fixed-length records

    - #### getVersion

          public int getVersion()

      The version of the Btree database.
      Returns:
        the version of the Btree database

    - #### toString

          public java.lang.String toString()

      For convenience, the SBtreeStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String that lists all the data fields

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.